All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
stan::math::partials_vari Class Reference

`#include <OperandsAndPartials.hpp>`

Inheritance diagram for stan::math::partials_vari:

## Public Member Functions

| partials_vari (double value, size_t N, vari **operands, double *partials)
void | chain ()
| Apply the chain rule to this variable based on the variables on which it depends. More...
Public Member Functions inherited from stan::math::vari
| vari (const double x)
| Construct a variable implementation from a value. More...
| vari (const double x, bool stacked)
virtual | ~vari ()
| Throw an illegal argument exception. More...
virtual void | init_dependent ()
| Initialize the adjoint for this (dependent) variable to 1. More...
virtual void | set_zero_adjoint ()
| Set the adjoint value of this variable to 0. More...
Public Member Functions inherited from stan::math::chainable
| chainable ()
| Construct a chainable object. More...
virtual | ~chainable ()
| Chainables are not destructible and should go on the function call stack or be allocated with operator new. More...

## Additional Inherited Members

Static Public Member Functions inherited from stan::math::chainable
static void * | operator new (size_t nbytes)
| Allocate memory from the underlying memory pool. More...
static void | operator delete (void *)
| Delete a pointer from the underlying memory pool. More...
Public Attributes inherited from stan::math::vari
const double | val_
| The value of this variable. More...
double | adj_
| The adjoint of this variable, which is the partial derivative of this variable with respect to the root variable. More...

## Detailed Description

Definition at line 28 of file OperandsAndPartials.hpp.

## Constructor & Destructor Documentation

stan::math::partials_vari::partials_vari | ( | double | value,
|  | size_t | N,
|  | vari ** | operands,
|  | double * | partials
| ) |  |

inline

Definition at line 34 of file OperandsAndPartials.hpp.

## Member Function Documentation

void stan::math::partials_vari::chain | ( |  | ) |

inline virtual

Apply the chain rule to this variable based on the variables on which it depends.

The base implementation in this class is a no-op.

Reimplemented from stan::math::chainable.

Definition at line 41 of file OperandsAndPartials.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/scal/meta/OperandsAndPartials.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.